Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class DeltaManager

    java.lang.Object
      |
      +--oracle.apps.cz.cio.DeltaManager

public class DeltaManager
extends java.lang.Object

Manages the changes to runtime nodes due to user actions.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Method Summary
`boolean` | `atpDisabledByError()`
`java.lang.String` | `getAtpDisabledError()`
`oracle.apps.cz.cio.Configuration` | `getConfiguration()` Updates the validation failures for the configuration.
`oracle.apps.cz.cio.DeltaValidator` | `getDeltaValidator(int type)` If a default type is requested, then this method automatically creates and registers the delta validator as well.
`oracle.apps.cz.cio.DeltaRegion` | `getRegion(java.lang.String regionId)`
`com.sun.java.util.collections.Map` | `getUpdateMapForRegion(java.lang.Object regionId)` Get a map of changes for the region with given regionId.
`void` | `registerDeltaValidator(oracle.apps.cz.cio.DeltaValidator dv)` Registers a DeltaValidator with this manager.
`oracle.apps.cz.cio.DeltaRegion` | `registerRegion(com.sun.java.util.collections.Collection watchedNodes, com.sun.java.util.collections.Collection deltaValidators, java.lang.String regionId)` Registers a region with this delta manager
`void` | `unRegisterRegion(java.lang.String regionId)` Unregister the region with the given regionId from this manager

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### getRegion

    public oracle.apps.cz.cio.DeltaRegion getRegion(java.lang.String regionId)

### registerRegion

    public oracle.apps.cz.cio.DeltaRegion registerRegion(com.sun.java.util.collections.Collection watchedNodes,
                                                         com.sun.java.util.collections.Collection deltaValidators,
                                                         java.lang.String regionId)

  Registers a region with this delta manager
  Parameters:
    `watchedNodes` - the list of runtime nodes that the region is interested in getting changes for
    `deltaValidators` - the type of changes that the region is interested in
    `regionId` - Id of the region being registered. If null, the system automatically assigns one

### unRegisterRegion

    public void unRegisterRegion(java.lang.String regionId)

  Unregister the region with the given regionId from this manager

### getUpdateMapForRegion

    public com.sun.java.util.collections.Map getUpdateMapForRegion(java.lang.Object regionId)

  Get a map of changes for the region with given regionId. The return map is a map of runtime nodes and a list of IValidatorChange objects that signify the change and the type of change.

### registerDeltaValidator

    public void registerDeltaValidator(oracle.apps.cz.cio.DeltaValidator dv)

  Registers a DeltaValidator with this manager. Although DeltaValidators are associated with regions but they all have to be registered with the manager so that they can be shared among multiple regions.

### getDeltaValidator

    public oracle.apps.cz.cio.DeltaValidator getDeltaValidator(int type)
                                                        throws oracle.apps.cz.utilities.NotYetImplementedException

  If a default type is requested, then this method automatically creates and registers the delta validator as well.
    `oracle.apps.cz.utilities.NotYetImplementedException`

### getConfiguration

    public oracle.apps.cz.cio.Configuration getConfiguration()

  Updates the validation failures for the configuration. This is called from during a delta list walk. protected void updateValidationFailure(ValidationFailure failure) { ValidationDeltaValidator validator = (ValidationDeltaValidator)m_deltaValidators.get(DeltaValidator.VALIDATION_DV); if (validator != null) { validator.updateChange(failure); } }

### getAtpDisabledError

    public java.lang.String getAtpDisabledError()

### atpDisabledByError

    public boolean atpDisabledByError()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.